#
# spec file for package tya (Version 1.7v3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  java
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip java kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         tya
Copyright:    GPL
URL:          http://www.sax.de/~adlibit/
Group:        Development/Languages
Requires:     java_runtime
Autoreqprov:  on
Summary:      A 100%% inofficial JIT-compiler
Version:      1.7v3
Release:      101
Source: tya17v3.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
TYA is a ``100% inofficial'' JIT-compiler.
Documentation, test- and example-programs can be found at
/usr/share/doc/packages/tya.

Authors:
--------
    Albrecht Kleine <kleine@ak.sax.de>

SuSE series: d

%prep
%setup -n tya%{version}
#%patch -p1
# ---------------------------------------------------------------------------

%build
./configure --libdir=/usr/lib
make
# ---------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
make LIBDIR=$RPM_BUILD_ROOT/usr/lib install

%files
%doc COPYING.GPL
%doc COPYRIGHT
%doc ChangeLog
%doc FAQ
%doc README
%doc demo
/usr/lib/libtya.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n tya
* Thu Nov 23 2000 - nadvornik@suse.cz
- update to 1.7v3
- bzipped sources
* Mon Oct 23 2000 - nadvornik@suse.cz
- added BuildRoot
* Mon Jun 19 2000 - choeger@suse.de
- new version, 1.7v2
* Wed Mar 01 2000 - choeger@suse.de
- added Group Tag
* Mon Jan 17 2000 - choeger@suse.de
- new version, 1.6
* Fri Oct 01 1999 - choeger@suse.de
- new version, 1.5
* Mon Sep 20 1999 - ro@suse.de
- added Requires java_runtime
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 06 1999 - choeger@suse.de
- new version v1.4v2
- moved libtya.so to /usr/lib
* Mon Jun 21 1999 - choeger@suse.de
- new version v1.4
* Mon May 17 1999 - choeger@suse.de
- new version v1.3v2
* Tue Jan 19 1999 - choeger@suse.de
- new version v1.2v3
* Thu Nov 26 1998 - choeger@suse.de
-  fixed version-number in spec-file
* Mon Nov 23 1998 - choeger@suse.de
- new version, v1.1v4
* Mon Jul 27 1998 - choeger@suse.de
- new version, v1.0
* Mon Jun 29 1998 - choeger@suse.de
- new version, v07
* Tue Feb 10 1998 - choeger@suse.de
- new package v04
